Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361863 - Broken image for inactive Control Policy
Summary: Broken image for inactive Control Policy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Beni Paskin-Cherniavsky
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
Depends On:
Blocks: 1362228
TreeView+ depends on / blocked
 
Reported: 2016-07-31 10:53 UTC by Pavel Zagalsky
Modified: 2017-01-12 04:55 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1362228 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:14:27 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
BrokenImage (deleted)
2016-07-31 10:53 UTC, Pavel Zagalsky
no flags Details

Description Pavel Zagalsky 2016-07-31 10:53:16 UTC
Created attachment 1186008 [details]
BrokenImage

Description of problem:


Version-Release number of selected component (if applicable):
5.6.1.0.20160726144018_810a94f

How reproducible:
Always

Steps to Reproduce:
1. Go to Control --> Explorer --> Control Policies
2. Add a Pod/Replicator/Node or Image Control Policy
3. Check the created icon for the added Control Policy

Actual results:
The icon looks broken

Expected results:
There should be a proper icon for such action

Additional info:
Check the attached screenshot

Comment 2 Beni Paskin-Cherniavsky 2016-08-01 12:53:03 UTC
This happens for policies whose "Active" checkbox was off.
I need to add *_inactive.png icons.

Master and darga, requesting z-stream clone

Comment 5 CFME Bot 2016-08-01 20:40:52 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/60a0817c256069552f94ca907f190b066ede3724

commit 60a0817c256069552f94ca907f190b066ede3724
Author:     Beni Cherniavsky-Paskin <cben@redhat.com>
AuthorDate: Mon Aug 1 17:04:27 2016 +0300
Commit:     Beni Cherniavsky-Paskin <cben@redhat.com>
CommitDate: Mon Aug 1 17:07:47 2016 +0300

    Placeholder container policy inactive icons
    
    Missing from 18c1576372ade5d537ec377106dd52340348d656
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1361863

 .../images/100/miq_policy_containergroup_inactive.png    | Bin 0 -> 3678 bytes
 .../images/100/miq_policy_containernode_inactive.png     | Bin 0 -> 3678 bytes
 .../100/miq_policy_containerreplicator_inactive.png      | Bin 0 -> 3678 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 app/assets/images/100/miq_policy_containergroup_inactive.png
 create mode 100644 app/assets/images/100/miq_policy_containernode_inactive.png
 create mode 100644 app/assets/images/100/miq_policy_containerreplicator_inactive.png

Comment 7 CFME Bot 2016-08-02 01:45:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/56c75689fd8b2fa530f3581fddb2f3dc52738fb4

commit 56c75689fd8b2fa530f3581fddb2f3dc52738fb4
Author:     Beni Cherniavsky-Paskin <cben@redhat.com>
AuthorDate: Tue Aug 2 00:19:14 2016 +0300
Commit:     Beni Cherniavsky-Paskin <cben@redhat.com>
CommitDate: Tue Aug 2 00:54:10 2016 +0300

    Container policy inactive icons
    
    Missing from 18c1576372ade5d537ec377106dd52340348d656
    (and containerimage_inactive missing before that).
    
    Made by (imperfectly) copying red "X" from existing icons.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1361863

 .../images/100/miq_policy_containergroup_inactive.png | Bin 3678 -> 4697 bytes
 .../images/100/miq_policy_containerimage_inactive.png | Bin 0 -> 5350 bytes
 .../images/100/miq_policy_containernode_inactive.png  | Bin 3678 -> 3960 bytes
 .../100/miq_policy_containerreplicator_inactive.png   | Bin 3678 -> 4766 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 app/assets/images/100/miq_policy_containerimage_inactive.png

Comment 8 Dmitry Misharov 2016-09-09 12:19:05 UTC
Fixed and verified in 5.7.0.0.20160906172503_12f65cb. Container policies have appropriate icons.


Note You need to log in before you can comment on or make changes to this bug.